Subject: Re: Can't build doc anymore (v1.7.3.2)

From: Francis Moreau <[email-masked]>
Date: Tue, 23 Nov 2010 12:24:22 +0100

Michael J Gruber <[email-masked]> writes:

> Francis Moreau venit, vidit, dixit 23.11.2010 10:32:
>> 
>>   $ make prefix=/usr/local NO_CURL=1 ASCIIDOC8=y DOCBOOK2X_TEXI=db2x_docbook2texi ASCIIDOC_NO_ROFF=y XMLTO_EXTRA="--skip-validation" V=1 doc
>>   make -C Documentation all
>>   make[1]: Entering directory `/home/fmoreau/git/Documentation'
>>   make -C ../  GIT-VERSION-FILE
>>   make[2]: Entering directory `/home/fmoreau/git'
>>   make[2]: `GIT-VERSION-FILE' is up to date.
>>   make[2]: Leaving directory `/home/fmoreau/git'
>>   rm -f git-fetch.1 && \
>>   xmlto -m manpage-normal.xsl --skip-validation man git-fetch.xml
>>   I/O error : Attempt to load network entity http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
>>   warning: failed to load external entity "http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl"
>>   compilation error: file /tmp/xmlto-xsl.A7kzn5 line 4 element import
>>   xsl:import : unable to load http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
>>   make[1]: *** [git-fetch.1] Error 1
>>   make[1]: Leaving directory `/home/fmoreau/git/Documentation'
>>   make: *** [doc] Error 2
>
> This is weird for several reasons.
>
> Can you wget or curl these files?

Yes I can.

>
> Besides, I can build the doc even without network access, even though my
> /tmp/xmlto... has the same import statement.
>
> Can you check with which options your xmlto calls your xsltproc? Mine
> has "--nonet".

I can see the following ones:

  --nonet
  --xinclude

> Do you have libxslt-1.1.26-3.fc14.x86_64, and is your xsltproc the one
> from that package?

  $ rpm -qa | grep libxslt
  libxslt-devel-1.1.26-3.fc14.x86_64
  libxslt-1.1.26-3.fc14.x86_64

  $ which xsltproc
  /usr/bin/xsltproc

  $ rpm -qf /usr/bin/xsltproc
  libxslt-1.1.26-3.fc14.x86_64

Thanks for your time.
-- 
Francis